<?php
if (strstr($_SERVER["PHP_SELF"], "/modules/"))  die ("You can't access this file directly...");

$modules["divx"] = true;
include_once( "modules/divx/lang/msg_".check_lang($cfg["core"]["lang"]).".php" );
$config["menu"][20] = array( "title"=>$lang["DIVX_TITLE"], "file"=>"divx.php", "type"=>"A" );
$config["menu"][30] = array( "title"=>$lang["DIVX_SUBMIT_TITLE"], "file"=> "adm_divx.php?new=1", "type"=>"L" );

$config["admmenu"]["Divx Categories"] = array( "file"=>"adm_divxcat.php", "class"=>"admin" );
$config["admmenu"]["Pending Divx"] = array( "file"=>"adm_divx.php", "class"=>"admin" );
$config["admmenu"]["Divx Report"] = array( "file"=>"rep_divx.php", "class"=>"admin" );
$config["admmenu"]["Archived Divx "] = array( "file"=>"adm_arch_divx.php", "class"=>"divx" );
//$config["admmenu"]["Divx"] = array( "file"=>"adm_divx.php", "class"=>"divx" );

$config["fileman"]["divx"] = array( "name"=>"Divx", "folder"=>"/modules/divx/images/" );
$config["fileman"]["divx_cat"] = array( "name"=>"Divx Categories", "folder"=>"/modules/divx/cat_images/" );

$config["stylecss"]["divx"] = true;

if( !isset($cfg["divx"]["max_at_index"]) ) $cfg["divx"]["max_at_index"] = 5;
if( !isset($cfg["divx"]["max_per_page"]) ) $cfg["divx"]["max_per_page"] = 10;

function draw_divx_pending( $side="left" )
{
	global $config, $lang;
	if( !check_user_class($config["admmenu"]["Pending Divx"]["class"]) ) return;
	// list divx that are waiting for publish
	$stmt = "select count(*) from {$config["prefix"]}_divx where active='N' and archived='N'";
	$ret = db_query( $stmt );
	$pendivx = false;
	if( $ret ) {
		$pendivx = (db_result( $ret, 0, 0 ) > 0);
		db_free_result( $ret );
	}
	if( $pendivx ) {
		if( $side=="left" )	theme_draw_leftbox_open($lang["DIVX_PENDING_TITLE"]);
		else theme_draw_rightbox_open($lang["DIVX_PENDING_TITLE"]);
		print "<a href=\"adm_divx.php\">{$lang["DIVX_PENDING_MSG"]}</a>";
		if( $side=="left" )	theme_draw_leftbox_close();
		else theme_draw_rightbox_close();
	}
}
?>
